## Class TGlobalizationAutoDetect

Description

TGlobalizationAutoDetect class will automatically try to resolve the default culture using the user browser language settings.

- version: $Revision: 1.66 $ $Date: ${DATE} ${TIME} $
- author: Wei Zhuo<weizhuo[at]gmail[dot]com>

Located in /I18N/TGlobalizationAutoDetect.php (line 26)

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TGlobalization
                |
                --TGlobalizationAutoDetect

Method Summary
void getDetectedLanguage ()
void init (mixed $xml)
Methods
getDetectedLanguage (line 44)

- access: public

void getDetectedLanguage ()
init (line 30)

- access: public

void init (mixed $xml)

Redefinition of:

TGlobalization::init()
  Initialize the Culture and Charset for this application.

#### Inherited Methods

Inherited From TGlobalization

> TGlobalization::getCharset()
> TGlobalization::getCulture()
> TGlobalization::getCultureVariants()
> TGlobalization::getDefaultCharset()
> TGlobalization::getDefaultCulture()
> TGlobalization::getLocalizedResource()
> TGlobalization::getTranslationCatalogue()
> TGlobalization::getTranslationConfiguration()
> TGlobalization::init()
> TGlobalization::setCharset()
> TGlobalization::setCulture()
> TGlobalization::setDefaultCharset()
> TGlobalization::setDefaultCulture()
> TGlobalization::setTranslationCatalogue()
> TGlobalization::setTranslationConfiguration()

Inherited From TModule

> TModule::getID()
> TModule::init()
> TModule::setID()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:04 -0400 by phpDocumentor 1.3.0RC4